Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtPointSeriesData Class Reference

`#include <qwt_series_data.h>`

Inheritance diagram for QwtPointSeriesData:
[legend]

List of all members.

## Public Member Functions

| QwtPointSeriesData (const QVector< QPointF > &=QVector< QPointF >())
virtual QRectF | boundingRect () const
Public Member Functions inherited from QwtArraySeriesData< QPointF >
| QwtArraySeriesData ()
| QwtArraySeriesData (const QVector< QPointF > &samples)
virtual QPointF | sample (size_t index) const
const QVector< QPointF > | samples () const
void | setSamples (const QVector< QPointF > &samples)
virtual size_t | size () const
Public Member Functions inherited from QwtSeriesData< QPointF >
| QwtSeriesData ()
virtual | ~QwtSeriesData ()
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members

Protected Attributes inherited from QwtArraySeriesData< QPointF >
QVector< QPointF > | d_samples
Protected Attributes inherited from QwtSeriesData< QPointF >
QRectF | d_boundingRect

## Detailed Description

Interface for iterating over an array of points.

## Constructor & Destructor Documentation

QwtPointSeriesData::QwtPointSeriesData | ( | const QVector< QPointF > & | samples = `QVector<QPointF>()` | ) |

Constructor

Parameters:

  samples | Samples

## Member Function Documentation

QRectF QwtPointSeriesData::boundingRect | ( |  | ) | const

virtual

Calculate the bounding rect.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
  Bounding rectangle

Implements QwtSeriesData< QPointF >.